Bug 594464 - perl-POE-Component-IRC: arbitrary IRC command execution due to insufficient stripping of CR/LF [fedora 11]
perl-POE-Component-IRC: arbitrary IRC command execution due to insufficient s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl-POE-Component-IRC (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2010-3438
  Show dependency treegraph
 
Reported: 2010-05-20 14:20 EDT by Iain Arnell
Modified: 2010-06-28 11:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 591216
Environment:
Last Closed: 2010-06-28 11:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-05-20 14:20:36 EDT
+++ This bug was initially created as a clone of Bug #591216 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

Forr more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=591215

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Iain Arnell 2010-05-20 14:34:20 EDT
Updating to latest upstream version would pull in updated dependencies that we
don't have yet. I've applied the patches from bug 591215 to F-12, F-13, and
devel branches for the current perl-POE-Component-IRC-6.14 packages. This bug
remains for F-11.
Comment 2 Rakesh Pandit 2010-05-29 07:14:24 EDT
This can be closed now as Fedora 11 is EOL and for others it has already been fixed.
Comment 3 Bug Zapper 2010-06-28 11:44:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.